DocumentsSet exported flag for documents

Set exported flag for documents

curl -X POST "https://api-gateway-prod-europe-west-1-7epuecvu.ew.gateway.dev/v2/documents/setExported" \
  -H "Content-Type: application/json" \
  -H "api_key: YOUR_API_KEY" \
  -d '{
  "data": {
    "documents": [
      {
        "errors": [
          "Export failed because bad numeric code was set"
        ],
        "accountingSoftwareInternalId": "456",
        "documentId": "tAMAUmjewZ7SHXoDi8ax",
        "status": "not_exported"
      }
    ]
  }
}'
{
  "data": {
    "results": [
      {
        "documentId": "example_string",
        "success": true,
        "code": "APP_DOCUMENT_DOES_NOT_EXISTS"
      }
    ]
  },
  "success": true,
  "message": "example_string",
  "code": "APP_UNAUTHENTICATED"
}
POST
/v2/documents/setExported
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: api_key)
api_keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
api_keystring
Required

API Key for authentication. Provide your API key in the header.

Body

application/json
dataobject

Responses

dataobject
successboolean
messagestring

optional message to help user understand error code

codestring
Allowed values:APP_UNAUTHENTICATEDAPP_INCORRECT_INPUT_DATASAVE_DATA_ERROR_CODE